Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUTreeNodeBinding

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCControlBinding
oracle.jbo.uicli.binding.JUControlBinding
oracle.jbo.uicli.binding.JUCtrlValueBinding
oracle.jbo.uicli.binding.JUCtrlHierNodeBinding
oracle.jbo.uicli.jui.JUTreeNodeBinding`

All Implemented Interfaces:
  JUCtrlInputValueHandler, JUCtrlValueHandler, java.util.Map, StructureDef

public class JUTreeNodeBinding
extends JUCtrlHierNodeBinding

This class implements rules that govern display of each node in a JTree that is bound to a JUTreeBinding. It also governs what to display when the associated node is expanded. The framework creates instances of this class for each node in the tree.

See Also:
  `Row`, `RowIterator`, `JUTreeBinding`, `JTree`

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlHierNodeBinding
`ATTR_CHILDREN, ATTR_HIER_BINDING, ATTR_HIER_TYPE, ATTR_PARENT, ATTR_PROMPT, ATTR_ROW, ATTR_ROW_DATA_PROVIDER, ATTR_ROW_KEY, mChildIterBinding, mChildren, mExpandable, mHierBinding, mNodeValue, mParentNode, mRowKey, mTypeBinding`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`ATTR_ATTRIBUTE, ATTR_ATTRIBUTE_DEF, ATTR_ATTRIBUTE_DEFS, ATTR_ATTRIBUTE_VALUE, ATTR_ATTRIBUTE_VALUES, ATTR_ATTRIBUTES, ATTR_DISPLAY_HEIGHT, ATTR_DISPLAY_HINT, ATTR_DISPLAY_WIDTH, ATTR_FORMAT, ATTR_FORMATS, ATTR_INPUT_VALUE, ATTR_LABEL, ATTR_LABELS, ATTR_LABELSET, ATTR_MANDATORY, ATTR_PATH, ATTR_TOOLTIP, ATTR_UPDATEABLE, ATTR_VIEWABLE, mHasInputVal, mInputVal, SEP_LIST_DISPLAY`

Fields inherited from class oracle.adf.model.binding.DCControlBinding
`ATTR_CURRENTROW, ATTR_DEF, ATTR_ERROR, ATTR_ERRORS, ATTR_FULLNAME, ATTR_ITER, ATTR_NAME, mAttributeListener, mInternalGet_KeyResolved, ROW_KEY_STR`

Constructor Summary
`protected` | `JUTreeNodeBinding(javax.swing.JTree tr, JUTreeBinding treeBinding, JUTreeNodeBinding parent, JUIteratorBinding iterBinding, JUCtrlHierTypeBinding typeBinding, Row row, boolean expandable)`
`protected` | `JUTreeNodeBinding(javax.swing.JTree tr, JUTreeBinding treeBinding, JUTreeNodeBinding parent, JUIteratorBinding iterBinding, java.lang.String attrName, java.lang.Object nodeVal, boolean expandable)` *** For internal framework use only ***
`protected` | `JUTreeNodeBinding(JUCtrlHierBinding treeBinding, JUCtrlHierNodeBinding parent, JUIteratorBinding iterBinding, JUCtrlHierTypeBinding typeBinding, Row row, boolean expandable)` *** For internal framework use only ***

Method Summary
`void` | `addControlToPanel(java.lang.Object panel, java.lang.Object layoutObject, java.lang.Object layoutCons)` *** For internal framework use only ***
`void` | `collapse()` Collapses the detail nodes of this node and closes this node.
`void` | `expand()` Expands this node if this node has child-rows to display.
`protected JUCtrlHierNodeBinding` | `findChildNode(Key key)`
`javax.swing.tree.DefaultMutableTreeNode` | `getTreeNode()` Returns the Swing TreeNode object to which this node is associated.
`javax.swing.tree.TreePath` | `getTreePath()` Returns the TreePath that represents this node in the containing JTree hierarchy.
`java.lang.Object` | `getValueAt(int rowIndex, int attrIndex)` Returns the value that this node displays.
`void` | `myUpdateValuesFromRows(Row[] rows, boolean clear)` Updates the child nodes that this node contains after optionally clearing out all the currently displayed children based on the clear flag.
`void` | `nodeSelected()` Finds the row that this node represents in the associated iterator by asking this node's parent node for the iterator and then sets that row as current row in the RowIterator.
`boolean` | `removeChild(JUCtrlHierNodeBinding child)`
`protected void` | `setupAccessors(Row row)`
`void` | `setValueAt(java.lang.Object value, int rowIndex, int attrIndex)` Sets the value that this node is displaying.
`void` | `updateNavigated(NavigationEvent event)` Update the current row display as the currency has navigated in the iterator with which this control binding is working.
`void` | `updateRowDeleted(DeleteEvent event)` Removes a child node that displays the deleted row from amongst this node's children.
`void` | `updateValuesFromRow(Row row)` Finds the child node that displays this row and updates its display.

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlHierNodeBinding
`addChild, executeQueryIfNeeded, findMatchingNode, getChildIteratorBinding, getChildren, getChildren, getHierBinding, getHierTypeBinding, getKeyPath, getParent, getParentRowSetIterator, getRow, getRowKey, internalGet, internalGetRow, isAutoSyncEnabled, refreshControl, release, setAutoSyncEnabled, toString, updateRangeScrolled, updateRowInserted, updateValuesFromRows`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`compareAndSetAttribute, displayInShortForm, ensureVariableManager, findAttributeDef, getAttribute, getAttribute, getAttribute, getAttributeCount, getAttributeDef, getAttributeDef, getAttributeDefs, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeIndexOf, getAttributeNames, getAttributes, getAttributes, getAttributeUIHelper, getAttributeValidators, getAttributeValidators, getAttributeValue, getAttributeValue, getAttributeValueFromRow, getAttributeValues, getAttributeValues, getControlType, getDisplayHeight, getDisplayHint, getDisplayWidth, getError, getErrors, getFormat, getFormats, getHint, getHint, getInputErrorsForRowKey, getInputValue, getInputValue, getInputValueHandler, getInputValueInRow, getLabel, getLabel, getLabels, getLabelSet, getLocaleContext, getMergedAttributeValues, getNullValueString, getPath, getTooltip, getTooltip, hasFormatInformation, hasVariables, initResources, internalHasPermission, isArrayIteratorType, isAttributeMandatory, isAttributeUpdateable, isAttributeUpdateable, isMandatory, isNewInputValue, isUpdateable, lookupAttributeDef, processInputException, processNewInputValue, put, resetInputState, resolvePath, setArrayIteratorType, setAttribute, setAttribute, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeValue, setError, setInputValue, setInputValue, setInputValueHandler, setInputValueInRow, setNullValueString, stopEditing, validateInputValue`

Methods inherited from class oracle.jbo.uicli.binding.JUControlBinding
`getCurrentRow, getFormBinding, getIteratorBinding, reportException, setFormBinding`

Methods inherited from class oracle.adf.model.binding.DCControlBinding
`addToDCExceptions, executeQuery, get, getAllRowsInRange, getApplicationModule, getBindingContainer, getControl, getControlModel, getDCIteratorBinding, getDef, getDefFullName, getDefName, getFullName, getLayoutObject, getName, getRowAtRangeIndex, getRowIterator, getTransaction, getViewObject, hashCode, internalHasPermission, internalSetName, isControlQueriable, needsEstimatedRowCount, removeFromDCExceptions, reportException, resetAttributeExceptionInRow, setBindingContainer, setControl, setListener, setListener, setName`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, internalPut`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.jbo.StructureDef
`getDefFullName, getDefName, getFullName, getName`

Constructor Detail

### JUTreeNodeBinding

    protected JUTreeNodeBinding(javax.swing.JTree tr,
                                JUTreeBinding treeBinding,
                                JUTreeNodeBinding parent,
                                JUIteratorBinding iterBinding,
                                java.lang.String attrName,
                                java.lang.Object nodeVal,
                                boolean expandable)

  *** For internal framework use only ***

### JUTreeNodeBinding

    protected JUTreeNodeBinding(javax.swing.JTree tr,
                                JUTreeBinding treeBinding,
                                JUTreeNodeBinding parent,
                                JUIteratorBinding iterBinding,
                                JUCtrlHierTypeBinding typeBinding,
                                Row row,
                                boolean expandable)

### JUTreeNodeBinding

    protected JUTreeNodeBinding(JUCtrlHierBinding treeBinding,
                                JUCtrlHierNodeBinding parent,
                                JUIteratorBinding iterBinding,
                                JUCtrlHierTypeBinding typeBinding,
                                Row row,
                                boolean expandable)

  *** For internal framework use only ***

Method Detail

### setupAccessors

    protected void setupAccessors(Row row)

  Overrides:
    `setupAccessors` in class `JUCtrlHierNodeBinding`

### nodeSelected

    public void nodeSelected()

  Finds the row that this node represents in the associated iterator by asking this node's parent node for the iterator and then sets that row as current row in the RowIterator.

### addControlToPanel

    public void addControlToPanel(java.lang.Object panel,
                                  java.lang.Object layoutObject,
                                  java.lang.Object layoutCons)

  *** For internal framework use only ***
  Overrides:
    `addControlToPanel` in class `JUCtrlHierNodeBinding`

### removeChild

    public boolean removeChild(JUCtrlHierNodeBinding child)

  Overrides:
    `removeChild` in class `JUCtrlHierNodeBinding`

### collapse

    public void collapse()

  Collapses the detail nodes of this node and closes this node.

### expand

    public void expand()

  Expands this node if this node has child-rows to display.

### findChildNode

    protected JUCtrlHierNodeBinding findChildNode(Key key)

  Overrides:
    `findChildNode` in class `JUCtrlHierNodeBinding`

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int attrIndex)

  Returns the value that this node displays.

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int rowIndex,
                           int attrIndex)

  Sets the value that this node is displaying. Note that this method only changes the display and does not actually update the value of the attribute that this row is displaying.
  Overrides:
    `setValueAt` in class `JUCtrlHierNodeBinding`

### getTreeNode

    public javax.swing.tree.DefaultMutableTreeNode getTreeNode()

  Returns the Swing TreeNode object to which this node is associated.

### getTreePath

    public javax.swing.tree.TreePath getTreePath()

  Returns the TreePath that represents this node in the containing JTree hierarchy. This treepath can be used to work with the JTree/TreeModel APIs that expect a tree path for a node.

### updateNavigated

    public void updateNavigated(NavigationEvent event)

  Description copied from class: `JUCtrlValueBinding`
  Update the current row display as the currency has navigated in the iterator with which this control binding is working.
  Overrides:
    `updateNavigated` in class `JUCtrlHierNodeBinding`

### updateRowDeleted

    public void updateRowDeleted(DeleteEvent event)

  Removes a child node that displays the deleted row from amongst this node's children.
  Overrides:
    `updateRowDeleted` in class `JUCtrlHierNodeBinding`

### updateValuesFromRow

    public void updateValuesFromRow(Row row)

  Finds the child node that displays this row and updates its display.
  Overrides:
    `updateValuesFromRow` in class `JUCtrlHierNodeBinding`

### myUpdateValuesFromRows

    public void myUpdateValuesFromRows(Row[] rows,
                                       boolean clear)

  Description copied from class: `JUCtrlHierNodeBinding`
  Updates the child nodes that this node contains after optionally clearing out all the currently displayed children based on the clear flag.

  This method determines the rules to associate with each row in the given array of rows.

  Overrides:
    `myUpdateValuesFromRows` in class `JUCtrlHierNodeBinding`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.